# vi: set softtabstop=2 ts=2 sw=2 expandtab:
# pylint:

import os
import logging
import mergeconf

# app codename for environment variables, log tagging, and whatnot
codename = 'beam'

# short app name for such as filenames
appname = 'detector'

# initialize logging
logging.basicConfig(format='%(asctime)s ' + codename + ' %(levelname)-8s %(message)s',
                    datefmt='%Y%m%d.%H%M%S',
                    level=logging.INFO)
logger = logging.getLogger()

# initialize configuration
config = mergeconf.MergeConf(codename, strict=False)
