#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

setup(
    author="DRUID Team",
    author_email='drew.leske@computecanada.ca',
    python_requires='>=3.6',
    description="Druid Detector Component",
    install_requires=['requests', 'mergeconf>=0.5.1', 'viewclust', 'scp'],
    license="MIT license",
    include_package_data=True,
    name='druid-detector',
    packages=['app', 'detectors', 'signedapi'],
    version='v0.6.2',
    zip_safe=False,
    entry_points = {
        'console_scripts': [
            'druid-detector = app.__main__:main',
        ],
    }
)
